GET /workflows/tasks

zuora.com

Summary: List workflow tasks
Operation ID: GET_WorkflowsTasks
Auth: unknown
Description

Retrieves a list of workflow tasks available in your Zuora tenant.

Parameters (14)

Authorization (string, header, required)

`Bearer {token}` for a valid OAuth token.

Zuora-Entity-Ids (string, header, optional)

An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

Zuora-Track-Id (string, header, optional)

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

Constraints: {'maxLength': 64}

action_type (string, query, optional)

If specified, the operation retrieves tasks that is the specified type.

call_type (string, query, optional)

If specified, the operation retrieves tasks with the specified api call type used.

id (string, query, optional)

If specified, the operation retrieves the task that is with specified id.

instance (boolean, query, optional)

If set to true, the operation retrieves workflows that have the scheduled trigger enabled. If set to false, the operation retrieves workflows that have the scheduled trigger disabled. If not specfied, the operation will not use this filter.

name (string, query, optional)

If specified, the operation retrieves tasks that is in the specified name.

object (string, query, optional)

If specified, the operation retrieves tasks with the specified object.

object_id (string, query, optional)

If specified, the operation retrieves tasks with the specified object id.

page (integer, query, optional, default: 1)

If you want to retrieve only the workflows on a specific page, you can specify the `page` number in the query.

page_length (integer, query, optional, default: 20)

The number of workflows shown in a single call. If the `page` parameter is not specified, the operation will return only the first page of results. If there are multiple pages of results, use it with the `page` parameter to get the results on subsequent pages.

tags (string, query, optional)

If specified, the operation retrieves tasks that with the specified filter tags.

workflow_id (string, query, optional)

If specified, the operation retrieves tasks that for the specified workflow id.

No probe data for this endpoint yet.